<?php
/**
 * 新浪短网址
 * @author Veris
 */

namespace app\common\util\dwz;

use app\common\util\DWZ;
use service\HttpService;

class Sina extends DWZ
{


    public function create($url)
    {
		return file_get_contents('http://sa.sogou.com/geiny?url='.$url);
        $res=HttpService::get(SELF::API_URL,[
            'source'   =>SELF::APP_KEY,
            'url_long' =>$url,
        ]);
        if($res===false){
            return false;
        }
        $json=json_decode($res);
        if(!$json){
            return false;
        }
        return $json[0]->url_short;
    }
}
